<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

# заголовок
$set['title']='Топ блатных';

# шапка
include_once '../sys/inc/thead.php';
title();
err();
aut();

# существует сесия - продолжим
if (isset($user)){

# странички
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user`"),0);

# пусто
if ($k_post==0)
{
echo '<div class="zona_rekl"> Нет пользователей</div>';
}

# есть
else{

# зебра
$a = 0;

$q=mysql_query("SELECT `id`,`nick`,`zona_avtoritet` FROM `user` ORDER BY `zona_avtoritet` DESC LIMIT 10");

while ($ank = mysql_fetch_assoc($q)){

$ank=get_user($ank['id']);

echo '<div class="'.($a++ % 2 ? 'zona_rekl' : 'zona_menu').'">
<img src="img/icon/icon_user.png" alt="*" /> <a href="user.php?id='.$ank[id].'">'.htmlspecialchars($ank['nick']).'</a>'.online($ank['id']).'<br/>
<img src="img/icon/icon_a_reputation.png" alt="*" /> Авторитет: '.(int)$ank['zona_avtoritet'].'
</div>';
}

echo '<div class="zona_rekl"><img src="img/icon/icon_a_experience.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';
}
}
# закроем от гостей
else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
}

include_once '../sys/inc/tfoot.php';
?>
